cancel
Showing results for 
Search instead for 
Did you mean: 
CaptainChunk
Active Contributor

Why isn't Hamachi compatible with M1 Based Macs?

There's been more than enough time to beta test and get the updated kext-less client ready.

167 REPLIES 167
ouii
Active Contributor

...

If it has been a long time,... I had to close 2 standard subscriptions for this reason. I have only 1 active network left on hamachi ( the 3 mac users on this network use Catalina - can't upgrade ).

Hopefully LogMeIn, will release a hamachi update for M1 soon.

dw4
New Contributor

Let's GO we absolutely need this!!! What a huge interruption of service!

CaptainChunk
Active Contributor

Folks.. just forget it.  The Hamachi devs are clearly incompetent.  I moved to ZeroTier and it's been rock solid.  The hell with LogMeIn.

Runmonkey
New Contributor

I agree with the Cap. ZeroTier has been rock solid and easy to setup.

ouii
Active Contributor

Hi,

What one feels the most, is the indifference of Hamachi in giving some information about it, clearly hamachi has no interest in retaining this segment of customers, ...it is unfortunate so much indifference to the problem of these customers. It seems that there are very few M1 users who pay subscription,... anyway, of my 3 subscribed networks, I have already closed the two networks with M1 users,... I insist, it is regrettable.

 

As for switching to ZeroTier,...it is the only option. The unfortunate thing is that hamachi has a better latency, it is not significant, but well, given the impossibility of connecting users with M1,.... nothing to do.

I hope hamachi says something.

 

regards

LemonJenkins
New Contributor

!

Senone
New Contributor

and 1 why are  there no answers?, but they are quick to collect their money. they are not the only dog in this race.

zabdoul60460
New Contributor

Do you know if LogMeIn works well on  Mac OS 10.15 and Mac OS 12 (ARM) ?

Thanks for helping.

Best regards

JarrodHev
New Contributor

If it isn't Intel based, most likely it wont work. The M1 chip been out for a year and still no update to support that processor.

fdlgarza
New Contributor

I spoke with support and the solution was to use a different computer that is not an M1 Mac.... 🤦‍♂️🤦‍♂️ Thanks lol.

It's been a year since they could start developing a working client but no word from them, other VPNs at least work under Rosetta 2, such a bad experience overall.........